List voice consents
client.Audio.VoiceConsents.List(ctx, query) (*CursorPage[VoiceConsent], error)
GET
/audio/voice_consentsList voice consents
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Audio.VoiceConsents.List(context.TODO(), openai.AudioVoiceConsentListParams{
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
200 example
{
"data": [
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}
],
"has_more": true,
"object": "list",
"first_id": "first_id",
"last_id": "last_id"
}Returns Examples
200 example
{
"data": [
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}
],
"has_more": true,
"object": "list",
"first_id": "first_id",
"last_id": "last_id"
}